Bug 22859 - GNOME-terminal cut & paste problem
GNOME-terminal cut & paste problem
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Need Real Name
Depends On:
  Show dependency treegraph
Reported: 2000-12-26 20:44 EST by Jaroslaw Sosnicki
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-29 15:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2000-12-26 20:44:51 EST
Unable to cut and paste between gnome-terminal 1.2.1 and
Comment 1 Havoc Pennington 2001-01-02 16:51:04 EST
How do you do the cut, and how do you do the paste, and into which part of
Netscape? (i.e. do you choose a menu item to cut, choose a menu item to paste,
or just use mouse buttons? Do you paste into the location bar or a text box?)
Comment 2 Jaroslaw Sosnicki 2001-01-25 00:07:08 EST
Cut and paste works fine between Netscape windows by using higliting and Alt-c
and to paste Alt-v.  It also works by cut in Netscape Alt-c and pasting into
gnome-terminal 1.2.4 by using Edit->Paste (Ctl-V does not work)  also, there is
no Edit->Cut or Edit->Copy options.
Comment 3 Havoc Pennington 2001-01-25 00:35:10 EST
That gnome-terminal menu accelerators are displayed is a bug, gnome-terminal
doesn't have accelerators because it needs to send those keys to applications.
Also, I agree gnome-terminal should have cut/copy menu items. Both of those
should be filed as individual reports though so they get tracked.

Should I leave a bug open that cut and paste from Netscape to gnome-terminal
fails? When does that happen?
Comment 4 Jaroslaw Sosnicki 2001-01-25 12:39:56 EST
Actually,  cut in netscape and paste into gnome-terminal works. 
What does not work is cut in gnome-terminal and paste into netscape (forms,
email, location bar, etc)

Please keep ticket open utill fixed.

I will open ticket for gnome terminal.
Comment 5 Elliot Lee 2001-02-01 19:34:35 EST
*** Bug 24944 has been marked as a duplicate of this bug. ***
Comment 6 Havoc Pennington 2001-07-12 14:01:47 EDT
wait - gnome-terminal doesn't have a "cut" menu item at all. How can it not work?
Comment 7 Kjartan Maraas 2004-03-29 15:32:04 EST
Closing this as fixed upstream. There are menu entries for this now
and they work for me. Haven't tried against that old version of
netscape though.

Note You need to log in before you can comment on or make changes to this bug.